---
title: part
slug: Web/HTML/Global_attributes/part
tags:
  - Global attributes
  - HTML
  - Reference
  - part
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p>The <strong><code>part</code></strong> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> contains a space-separated list of the part names of the element. Part names allows CSS to select and style specific elements in a shadow tree via the {{CSSxRef("::part")}} pseudo-element.</p>

<p>See our <a href="https://mdn.github.io/web-components-examples/shadow-part/">Shadow part example</a> for a usage example.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Shadow Parts", "#part-attr", "part")}}</td>
   <td>{{Spec2('CSS Shadow Parts')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.part")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</li>
</ul>
